### Method

# WebKit2 NavigationPolicyDecision get_frame_name

#### Declaration [src]

    const gchar*
    webkit_navigation_policy_decision_get_frame_name (
      WebKitNavigationPolicyDecision* decision
    )

#### Description [src]

Gets the value of the `WebKitNavigationPolicyDecision:frame-name` property.

Gets property | `WebKit2.NavigationPolicyDecision:frame-name`

#### Return value

Returns: | `const gchar*`
| The name of the new frame this navigation action targets or `NULL`.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.